> ## Documentation Index > Fetch the complete documentation index at: https://www.canva.dev/docs/apps/llms.txt > Use this file to discover all available pages before exploring further. # Get design autofill job Get the status and results of an autofill job, including the autofilled design. Autofill for designs and brand templates is available when your app acts on behalf of a user on Canva Pro (including Canva Education and Canva for Nonprofits), Canva Teams, or Canva Enterprise. Usage limits will be introduced in the future. Get the result of a design autofill job that was created using the [Create design autofill job API](https://www.canva.dev/docs/apps/rest-apis/reference/autofills/create-design-autofill-job/). You might need to make multiple requests to this endpoint until you get a `success` or `failed` status. For more information on the workflow for using asynchronous jobs, see [API requests and responses](https://www.canva.dev/docs/apps/rest-apis/requests-responses/#asynchronous-job-endpoints). ## HTTP method and URL path GET https\://api.canva.com/rest/v1/autofills/\{jobId} This operation is rate limited to 120 requests per minute for each user of your app. ## Authentication and authorization This endpoint requires a valid access token that acts on behalf of a user. For more information, see [Generate an access token](/docs/apps/rest-apis/reference/authentication/generate-access-token). ### Scopes The access token must have all the following [scopes](/docs/apps/rest-apis/scopes) (permissions): * `design:meta:read` ## Header parameters Provides credentials to authenticate the request, in the form of a `Bearer` token. For example: `Authorization: Bearer {token}` ## Path parameters The design autofill job ID. ## Example request Examples for using the `/v1/autofills/{jobId}` endpoint: ```sh curl --request GET 'https://api.canva.com/rest/v1/autofills/{jobId}' \ --header 'Authorization: Bearer {token}' ``` ```js const fetch = require("node-fetch"); fetch("https://api.canva.com/rest/v1/autofills/{jobId}", { method: "GET", headers: { "Authorization": "Bearer {token}", }, }) .then(async (response) => { const data = await response.json(); console.log(data); }) .catch(err => console.error(err)); ``` ```java import java.io.IOException; import java.net.URI; import java.net.http.*; public class ApiExample { public static void main(String[] args) throws IOException, InterruptedException { HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.canva.com/rest/v1/autofills/{jobId}")) .header("Authorization", "Bearer {token}") .method("GET", HttpRequest.BodyPublishers.noBody()) .build(); HttpResponse response = HttpClient.newHttpClient().send( request, HttpResponse.BodyHandlers.ofString() ); System.out.println(response.body()); } } ``` ```py import requests headers = { "Authorization": "Bearer {token}" } response = requests.get("https://api.canva.com/rest/v1/autofills/{jobId}", headers=headers ) print(response.json()) ``` ```csharp using System.Net.Http; var client = new HttpClient(); var request = new HttpRequestMessage { Method = HttpMethod.Get, RequestUri = new Uri("https://api.canva.com/rest/v1/autofills/{jobId}"), Headers = { { "Authorization", "Bearer {token}" }, }, }; using (var response = await client.SendAsync(request)) { response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body); }; ``` ```go package main import ( "fmt" "io" "net/http" ) func main() { url := "https://api.canva.com/rest/v1/autofills/{jobId}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer {token}") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) } ``` ```php $curl = curl_init(); curl_setopt_array($curl, array( CURLOPT_URL => "https://api.canva.com/rest/v1/autofills/{jobId}", CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => array( 'Authorization: Bearer {token}', ), )); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if (empty($err)) { echo $response; } else { echo "Error: " . $err; } ``` ```ruby require 'net/http' require 'uri' url = URI('https://api.canva.com/rest/v1/autofills/{jobId}') http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request['Authorization'] = 'Bearer {token}' response = http.request(request) puts response.read_body ``` ## Success response If successful, the endpoint returns a `200` response with a JSON body with the following parameters: Details about the autofill job. Properties of job} defaultExpanded={true}> ID of the asynchronous job that is creating the design using the provided data. Status of the design autofill job. **Available values:** * `in_progress` * `success` * `failed` Result of the design autofill job. Only present if job status is `success`. A new autofilled design has been created and saved to the user's root folder. **Available values:** The only valid value is `create_design`. Basic details about the design, such as the design's ID, title, and URL. Properties of design}> The design ID. A temporary set of URLs for viewing or editing the design. Properties of urls}> A temporary editing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support [return navigation](https://www.canva.dev/docs/apps/rest-apis/return-navigation-guide/) workflows. NOTE: This is not a permanent URL, it is only valid for 30 days. A temporary viewing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support [return navigation](https://www.canva.dev/docs/apps/rest-apis/return-navigation-guide/) workflows. NOTE: This is not a permanent URL, it is only valid for 30 days. When the design was created in Canva, as a Unix timestamp (in seconds since the Unix Epoch). When the design was last updated in Canva, as a Unix timestamp (in seconds since the Unix Epoch). The design title. URL of the design. A thumbnail image representing the object. Properties of thumbnail}> The width of the thumbnail image in pixels. The height of the thumbnail image in pixels. A URL for retrieving the thumbnail image. This URL expires after 15 minutes. This URL includes a query string that's required for retrieving the thumbnail. The total number of pages in the design. Some design types don't have pages (for example, Canva docs). WARNING: Trials and trial information are a [preview feature](https://www.canva.dev/docs/apps/rest-apis/#preview-apis). There might be unannounced breaking changes to this feature which won't produce a new API version. Trial information for users on a Canva plan that doesn't include autofill access. These users have a limited number of autofill uses. Once the trial is exhausted, users must upgrade their Canva plan (such as to Canva Pro, Canva Teams, or Canva Enterprise) to continue using the Autofill API. Properties of trial_information}> The number of uses remaining in the free trial. The URL for a user to upgrade their Canva account to a plan with autofill access. The existing design has been autofilled in place. **Available values:** The only valid value is `update_design`. Basic details about the design, such as the design's ID, title, and URL. Properties of design}> The design ID. A temporary set of URLs for viewing or editing the design. Properties of urls}> A temporary editing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support [return navigation](https://www.canva.dev/docs/apps/rest-apis/return-navigation-guide/) workflows. NOTE: This is not a permanent URL, it is only valid for 30 days. A temporary viewing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support [return navigation](https://www.canva.dev/docs/apps/rest-apis/return-navigation-guide/) workflows. NOTE: This is not a permanent URL, it is only valid for 30 days. When the design was created in Canva, as a Unix timestamp (in seconds since the Unix Epoch). When the design was last updated in Canva, as a Unix timestamp (in seconds since the Unix Epoch). The design title. URL of the design. A thumbnail image representing the object. Properties of thumbnail}> The width of the thumbnail image in pixels. The height of the thumbnail image in pixels. A URL for retrieving the thumbnail image. This URL expires after 15 minutes. This URL includes a query string that's required for retrieving the thumbnail. The total number of pages in the design. Some design types don't have pages (for example, Canva docs). If the autofill job fails, this object provides details about the error. Properties of error}> **Available values:** * `autofill_error`: The service encountered an error when autofilling your brand template. * `thumbnail_generation_error`: The service encountered an error when generating a thumbnail for the autofilled design. * `create_design_error`: The service encountered an error when saving the autofilled design. * `design_approval_error`: The service encountered an error when applying design approval settings to the autofilled design. * `trial_quota_exceeded`: The user has exceeded their autofill trial quota. * `design_update_error`: The service encountered an error when saving the updated design. A human-readable description of what went wrong. ## Example responses ### In progress job ```json { "job": { "id": "450a76e7-f96f-43ae-9c37-0e1ce492ac72", "status": "in_progress" } } ``` ### Successfully completed job ```json { "job": { "id": "450a76e7-f96f-43ae-9c37-0e1ce492ac72", "status": "success", "result": { "type": "create_design", "design": { "id": "DAFVztcvd9z", "title": "My summer holiday", "url": "https://www.canva.com/design/DAFVztcvd9z/edit", "urls": { "edit_url": "https://www.canva.com/api/ekimus8HTvsdf&/edit", "view_url": "https://www.canva.com/api/eylPinTv358hYb8n1U4/view" }, "thumbnail": { "width": 595, "height": 335, "url": "https://document-export.canva.com/Vczz9/zF9vzVtdADc/2/thumbnail/0001.png?" }, "created_at": 1586734043, "updated_at": 1586734043 }, "trial_information": { "uses_remaining": 2, "upgrade_url": "https://www.canva.com/pro/" } } } } ``` ### Failed job ```json { "job": { "id": "450a76e7-f96f-43ae-9c37-0e1ce492ac72", "status": "failed", "error": { "code": "autofill_error", "message": "Error autofilling design from brand template" } } } ``` ## Error responses ### 403 Forbidden A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error response ##### The user does not have permission to access the design autofill job with the ID specified in the request. ```json { "code": "permission_denied", "message": "Calling user was not the creator of the autofill job" } ``` ### 404 Not Found A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error response ##### A design autofill job with the ID specified in the request could not be found. ```json { "code": "not_found", "message": "Job {jobId} not found" } ```